CH_SKIP_TO_BOUNDARY(3)

EXPERIMENTAL_FUNC
ch_skip_to_boundary - Skip bytes from a channel until a specified boundary.

SYNOPSIS
#include <karma_ch.h>

flag ch_skip_to_boundary

(Channel channel, uaddr size)

DESCRIPTION
This routine will skip bytes in a channel until the current read position is aligned with a boundary.

channel
    The Channel object.

size
    The size to align to.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

NOTE
This may change the write pointer. Use <-ch_drain_to_boundary-> instead if the write pointer must be left untouched.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/